﻿
@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<PoolOTPMember>

@(
         Html.Grid(Model).Named("GridGetAllOTP").Columns(columns =>
         {

             columns.Add(x => x.Phone)
                 .Titled("Phone")
                 .Encoded(false)
                 .Sanitized(false)
                 .Sortable(true)
                 .RenderValueAs(x => x.Phone).Filterable(true);

             columns.Add(x => x.OTPCode)
                 .Titled("Code OTP")
                 .Encoded(false)
                 .Sanitized(false)
                 .Sortable(true)
                 .RenderValueAs(x => x.OTPCode).Filterable(true);


             columns.Add(x => x.RequestOTP)
                .Titled("Request")
                .Encoded(false)
                .Sanitized(false)
                .Sortable(true)
                .RenderValueAs(x => x.RequestOTP.Value.ToString()).Filterable(true);

             columns.Add(x => x.Status)
                 .Titled("Status")
                 .Encoded(false)
                 .Sanitized(false)
                 .Sortable(true)
                 .RenderValueAs(x => x.Status).Filterable(true);

             columns.Add(x => x.OTPExpiredDate)
                .Titled("Expired")
                .Encoded(false)
                .Sanitized(false)
                .Sortable(true)
                .RenderValueAs(x => x.OTPExpiredDate.Value.ToString("dd-MM-yyyy HH:mm")).Filterable(true);

             columns.Add(x => x.CreatedDate)
                 .Titled("Created Date")
                 .Encoded(false)
                 .Sanitized(false)
                 .Sortable(true)
                 .RenderValueAs(x => x.CreatedDate.Value.ToString("dd-MM-yyyy HH:mm"));

             columns.Add()
                 .Encoded(false)
                 .Sanitized(false)
                 .SetWidth(50)
                 .Css("cell-center")
             .RenderValueAs(x => string.Format("<a href=\"{0}\" class=\"btn btn-xs btn-danger\">Delete</a>", Url.Action(MVC.PoolOTPMember.Delete(x.Phone))));

         }).Filterable()
        .Sortable()
        .WithPaging(10)
)
